<script>
  import { createEventDispatcher } from 'svelte';
  import { Button, Icon } from 'svelte-materialify';

  export let value;

  const dispatch = createEventDispatcher();

  const onClick = () => {
    value = !value;
    dispatch('change');
  };
</script>

<Button icon class="ma-0" on:click={onClick}>
  {#if value}
    <Icon class="ma-0 mdi mdi-checkbox-marked-outline" />
  {:else}
    <Icon class="ma-0 mdi mdi-checkbox-blank-outline" />
  {/if}
</Button>
